<script>

function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 1) ? 0 : i + 1; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }
	
	
	
	

window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==115){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==118) {parent.pagar();  }// f7 pago de contado
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
if(num==121){ parent.validar_cabecera();  }//f10 guardar e imprimir 
if(num==27){ 
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("dcto").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cob_iv").value="";
			
			 parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }

            /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 


function actualizar_articulo(cdgbar,codfacturatmp,numlinea,cantidad,cliexe,descuento)
{
	
	
	posicion=(numlinea*16)-30;
	parent.document.formulario_lineas.posicion.value=posicion; /// indica la posicion del scroll bar
    var elmnt = document.getElementById("xdetalleAWSUPER2");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft =posicion; 
    elmnt.scrollTop =posicion;
	
	if (cantidad <=0) {
		
		 alert("Favor verifique cantidad no pueder ser igual o menor a cero")
		  parent.document.getElementById("formulario_lineas").submit();
		 
} else {

document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;
	//location.href="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar;

}}


function  actualizar_articulo_descuento(cdgbar,codfacturatmp,numlinea,descuento,cliexe,cantidad,desmin,desmax)
{
	

		if ( descuento <= desmin ) 
		 {
	 
	document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;

  				
	 }else if  ( descuento >  desmin && descuento  <= desmax ) {
	
		document.getElementById("frame_datos3").src="validar_descuento.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;
 


	 		} else {
			
			alert ("El descuento maximo permitido es "+desmax+" %");
  			parent.document.getElementById("formulario_lineas").submit();
	
			
			 }

}


	
	

					
					


function eliminar_linea(codfacturatmp,numlinea,cliexe)
{
	if (confirm(" Desea eliminar esta linea ? "))

	
		document.getElementById("frame_datos").src="eliminar_linea_super.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cliexe=" + cliexe;

		
}

function pon_prefijo(filas,subtotal,descuento,impuesto,total,total_dolar,total_verificar) {
	
	parent.document.formulario_lineas.filas.value=filas;	
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.descuento2.value=descuento;
	parent.document.formulario_lineas.imp.value=impuesto;
	parent.document.formulario_lineas.total.value=total;
	parent.document.formulario.total2.value=total;
	parent.document.formulario.total_verificar.value=total_verificar;
	parent.document.formulario.total_dolar.value=total_dolar;
    parent.document.getElementById("cdgbar").focus();
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
	parent.document.getElementById("detalle").value;

	
}

  

	function done() { 

             document.getElementById("popup").style.display = "none";
   		     var codfacturatmp = document.getElementById("codconsignacion").value; 
			 var numlinea = document.getElementById("numlinea").value; 
			 var cantidad = document.getElementById("cantidad").value; 
			 var cdgbar = document.getElementById("cdgbar").value; 
		     var cliexe = document.getElementById("cliexe").value; 
		     var descuento = document.getElementById("descuento").value; 

			 var clades = document.getElementById("clades").value; 
			 var password = document.getElementById("pass").value; 
	         clades=parseInt(clades);
		     password=parseInt(password);
			
			
			 
			 if (clades == password) { 
	//	 alert("lo logre\n\n"+clades+password);

			document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;


			 }else { 
			 
			 alert("Contraseña incorrecta favor verifique");
		     parent.document.getElementById("formulario_lineas").submit();
			 
			}}

	
		
		//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		validardescuento();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)



					function inicio() {
    var elmnt = document.getElementById("xdetalleAWSUPER2");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft =posicion;
    elmnt.scrollTop =posicion;
}

	
	
</script>





<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body  onKeyDown="javascript:f5()" onLoad="nobackbutton();inicio(); ">
<?php  
include ("../conexion.php");

 $query_parametros="SELECT * FROM web_0000 ";
 $rs_query_parametros=$mysqli->query($query_parametros);

 $row=mysqli_fetch_assoc($rs_query_parametros);

   $tipcamdol= $row["tipcamdol"];
   $clades= $row["clades"];
 
 $codfacturatmp=$_POST["codfacturatmp"];


$retorno=0;
$modif=$_POST["modif"];
$cantnueva=$_POST["cantidad"];		
$filas=0;
$cdgbar=$_POST["cdgbar"];
$cliexe=$_POST["cliexe2"];
$importe=$_POST["importe"];
$posicion=$_POST["posicion"];
 

if ($cdgbar=="") { 
			$cdgbar=0; } 


		$query_busqueda="SELECT count(*) as filas FROM consignacion_lineastmp WHERE codconsignacion='$codfacturatmp' and codigo=$cdgbar AND consignacion_lineastmp.tipart <> 2  AND importe <> 0.00  ";
		$rs_busqueda=$mysqli->query($query_busqueda);

		$row=mysqli_fetch_assoc($rs_busqueda);

 		 $filas=$row["filas"];
  
if ($filas>0 && $importe <> 0.00) {
	
$sel_lineas="SELECT consignacion_lineastmp.*,web_1001.* FROM consignacion_lineastmp,web_1001 WHERE consignacion_lineastmp.codconsignacion='$codfacturatmp' AND consignacion_lineastmp.codigo=web_1001.cdgbar AND consignacion_lineastmp.codigo='$cdgbar' AND  consignacion_lineastmp.tipart <> 2  AND consignacion_lineastmp.importe <> 0.00 ORDER BY consignacion_lineastmp.numlinea ASC";
$rs_lineas=$mysqli->query($sel_lineas);



while ($row=fetch_assoc($rs_lineas)) {

	$numlinea=$row["numlinea"];
	$cdgbar=$row["cdgbar"];
	$dscart=$row["dscart"];
	$cantvieja=$row["cantidad"];
	$preivi=$row["preivi"];
	$importe=$row["importe"];
	$cob_iv=$row["cob_iv"];
	$existencia=$row["exiact"];
	$pasillo=$row["pasillo"];
	$estante=$row["estante"];
	
	
	$cliexe=$_POST["cliexe2"];
	$descuento=$_POST["descuento"];
	
    $cantidad=$cantnueva+$cantvieja;
	$importe=$cantidad*$preivi;

	
 	if ($descuento > 0 ){
		
		$mondes=$importe*$descuento/100;
		
		} else {
			
		$mondes=0;	
			}
	
	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;		
		$impuesto=0;	
	}
	
		
	$sel_act="UPDATE  consignacion_lineastmp SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codconsignacion='$codfacturatmp' and codigo=$cdgbar and numlinea=$numlinea ";
	$rs_act=$mysqli->query($sel_act);
	
	

	 } } else {
$cdgbar=$_POST["cdgbar"];
$posicion=3000;
 
if ($cdgbar<>"") { 
if ($modif<>1) { 
		if (!isset($codfacturatmp)) { 
			$codfacturatmp=$_GET["codfacturatmp"]; 
			$retorno=1; }
		if ($retorno==0) {	
				//$codfamilia=$_POST["codfamilia"];
				
				$cdgbar=$_POST["cdgbar"];
				$cantidad=$_POST["cantidad"];
				$preivi=$_POST["preivi"];
				$preivi2=$_POST["preivi"];
				//if ($cdgbar ==101 and $cliexe==1) { $preivi=$preivi/1.13; } else { $preivi=$preivi; } 
				if ($cdgbar ==102 and $cliexe==1) { $preivi=$preivi/1.13; } else { $preivi=$preivi; } 
				//if ($cdgbar ==103 and $cliexe==1) { $preivi=$preivi/1.13; } else { $preivi=$preivi; } 
				//if ($cdgbar ==104 and $cliexe==1) { $preivi=$preivi/1.13; } else { $preivi=$preivi; } 
				$importe=$_POST["importe"];
				$descuento=$_POST["descuento"];
				$mondes=$_POST["mondes"];
				$impuesto=$_POST["impuesto"];
				$dscart = strtoupper($_POST["dscart"]);
				$tipart = $_POST["tipart"];
				
				$sel_insert="INSERT INTO consignacion_lineastmp (codconsignacion,dscart, numlinea,codigo,cantidad,preivi,importe,dcto,mondes, impuesto, tipart) VALUES ('$codfacturatmp','$dscart','','$cdgbar','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto','$tipart')";
				$rs_insert=$mysqli->query($sel_insert);
		}
} }
}


?>
<div id="xdetalleAWSUPER2">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>

  
  <form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas.php" target="frame_rejilla">
  

  <table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php 
if($codfacturatmp=="") {
 $codfacturatmp=$_GET["codfacturatmp"];
  $cliexe=$_GET["cliexe"];
  $posicion=$_GET["posicion"];
}

if($cliexe=="") {
 $cliexe=$_POST["cliexe"];
 
}

$sel_lineas="SELECT consignacion_lineastmp.*,web_1001.* FROM consignacion_lineastmp,web_1001 WHERE consignacion_lineastmp.codconsignacion='$codfacturatmp' AND consignacion_lineastmp.codigo=web_1001.cdgbar ORDER BY consignacion_lineastmp.numlinea ASC";
$rs_lineas=$mysqli->query($sel_lineas);

while ($row=fetch_assoc($rs_lineas)) {

	$numlinea=$row["numlinea"];
	$cdgbar=$row["cdgbar"];
	$dscart=$row["dscart"];
	$cantidad=$row["cantidad"];
	$preivi=$row["preivi"];
	$importe=$row["importe"];
	$impuesto=$row["impuesto"];
	$mondes=$row["mondes"];
	$desmin=$row["desmin"];
	$desmax=$row["desmax"];
	$tipart=$row["tipart"];
	$cob_iv=$row["cob_iv"];
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	$descuento=$row["dcto"];
	
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
		

	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;

	
	
	//$sel_act="UPDATE  consignacion_lineastmp SET   importe='$subtotal',mondes='$mondes', impuesto='$impuesto' WHERE codconsignacion='$codfacturatmp' and codigo=$cdgbar ";
	//$rs_act=mysql_query($sel_act);
	
	
	$sel_act="UPDATE  consignacion_lineastmp SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codconsignacion='$codfacturatmp' and codigo=$cdgbar  and numlinea=$numlinea ";
	$rs_act=$mysqli->query($sel_act);
	
	
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php  echo $fondolinea?>">
        
        		<td width="10%" class=""><div align="left"><?php  echo $cdgbar?></div></td>    
				<td width="3%"><?php  //echo $cdgbar?></td>
				<td width="50%"><?php  echo $dscart?></td>
              <td align="center" width="4%"><?php  echo $paga_impuesto?></td>
	
        <td width="6%"><div align="right"><input type="text"   value="<?php  echo number_format($cantidad,2,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php  echo $cdgbar ?>','<?php  echo $codfacturatmp ?>',<?php  echo $numlinea?>,this.value,<?php  echo $cliexe ?>,<?php  echo $descuento ?>)"   maxlength="15" size="8" autocomplete="off"    /> </div></td>
 
        <td width="10%"><div align="right"><?php  echo number_format($preivi,2,".",",")?></div></td>
        <td width="4%"><div align="right"><input type="text"   value="<?php  echo number_format($descuento,2,".",",") ?>"  name="descuento"  onkeypress="return tabE(this,event)"  style='text-align:right;'  onChange="actualizar_articulo_descuento('<?php  echo $cdgbar ?>','<?php  echo $codfacturatmp ?>',<?php  echo $numlinea?>,this.value,<?php  echo $cliexe ?>,<?php  echo $cantidad ?>,<?php  echo $desmin ?>,<?php  echo $desmax ?>)"      maxlength="15" size="8" autocomplete="off"    /> </div></td>

				<td width="10%"><div align="right"><?php  echo number_format($importe,2,".",",")?></div></td>
				<td width="5%"><div align="center"><a href="javascript:eliminar_linea('<?php  echo $codfacturatmp?>',<?php  echo $numlinea?>,<?php  echo $cliexe ?>)"><img src="../img/Symbol-Delete_32x32-32.png"  width="25" height="25" border="0"></a></div></td>
		<tr class="<?php  echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >	
    </tr>
					
					

			
<?php  

  $subtotal=$baseimp+$basedescuento;
  $preciotot=$subtotal-$basedescuento+$baseiva;
  $preciotot=round($preciotot);
  $impuesto=number_format($baseiva,2,".",",");
  $descuento=number_format($basedescuento,2,".",",");
  $subtotal=number_format($subtotal,2,".",",");
  $total_verificar=$preciotot;
  $total=number_format($preciotot,2,".",",");
  $total_dolar=$preciotot/$tipcamdol;
  $total_dolar=number_format($total_dolar,2,".",",");


$query_busqueda="SELECT count(*) as filas FROM consignacion_lineastmp WHERE  codconsignacion='$codfacturatmp' " ;
$rs_busqueda=$mysqli->query($query_busqueda);
$row=mysqli_fetch_assoc($rs_busqueda);
$filas=$row["filas"];



}
	
		
?>

					<script languaje="javascript">
	pon_prefijo("<?php  echo $filas ?>","<?php  echo $subtotal ?>","<?php  echo $descuento ?>","<?php  echo $impuesto ?>","<?php  echo $total ?>","<?php  echo $total_dolar?>","<?php  echo $total_verificar?>");
	
		</script>


</table>
  <input id="posicion" name="posicion" type="hidden" value=" <?php  echo $posicion ?>" >
    <div id="popup">
   		<div>Clave Extradescuento</div>
        <BR> 
 <input  autofocus id="pass" size="8"  style='text-align:center;'  name="pass"  value="" type="password" onKeyPress="return tabE(this,event)"   onBlur="done();"/>   
  	 <BR> 
    <input   id="aceptar" name="aceptar"  title="aceptar" value="" type="button" />
  
    		</div>	
 	<input   id="numlinea" name="numlinea"  value="" type="hidden" />
 	<input   id="codconsignacion" name="codconsignacion"  value="" type="hidden" />
    <input   id="cdgbar" name="cdgbar"  value="" type="hidden" />
    <input   id="descuento" name="descuento"  value="" type="hidden" />
    <input   id="cliexe" name="cliexe"  value="" type="hidden" />
    <input   id="cantidad" name="cantidad"  value="" type="hidden" />   
    <input   id="clades" name="clades"  value=" <?php  echo $clades ?> " type="hidden" />
        		</div>	
	    
	</form>
<blockquote>&nbsp;	</blockquote>
</div>

			      <input class="cajaTotales" name="baseimponible" type="hidden" id="baseimponible" size="12" value="<?php  echo number_format($baseimp,2,",",".");?>" align="right" readonly> 
																					 
<input class="cajaTotales" name="basedescuento" type="hidden" id="basedescuento" size="12" value="<?php  echo number_format($basedescuento,2,",",".");?>" align="right" readonly>
	
<input class="cajaTotales" name="baseimpuestos" type="hidden"  id="baseimpuestos" size="12" align="right" value="<?php  echo number_format($baseiva,2,",",".");?>" readonly> 
		
<input class="cajaTotales" name="preciototal" type="hidden"  id="preciototal" size="12" align="right" value="<?php  echo number_format($preciotot,2,",",".");?>" readonly> 

		
      <iframe id="frame_datos3" name="frame_datos3" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
  </iframe>	
</div>


    

	</body>
</html>